package com.reactlibrary;

import android.app.NotificationManager;
import android.content.Context;
import android.content.Intent;

import static android.app.NotificationManager.*;


public class DndManger {
    Context mContext;
    NotificationManager mNotificationManager;

    public DndManger(Context mContext) {
        this.mContext = mContext;
        this.mNotificationManager = (NotificationManager) mContext.getSystemService(Context.NOTIFICATION_SERVICE);
    }

    public void enableDnd() {
        if (!mNotificationManager.isNotificationPolicyAccessGranted()) {
            Intent intent = new Intent(android.provider.Settings.ACTION_NOTIFICATION_POLICY_ACCESS_SETTINGS);
            this.mContext.startActivity(intent);
        }
        mNotificationManager.setInterruptionFilter(INTERRUPTION_FILTER_NONE);
    }

    public void disableDnd() {
        mNotificationManager.setInterruptionFilter(INTERRUPTION_FILTER_ALL);
    }

}
